package de.intevation.flys.client.server;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.apache.log4j.Logger;


public class BaseServlet extends HttpServlet {

    private static Logger logger = Logger.getLogger(BaseServlet.class);


    public static final String LOG4J_PROPERTIES = "FLYS_CLIENT_LOG4J_PROPERIES";


    @Override
    public void init()
    throws ServletException
    {
        System.out.println("BaseServlet.init");

        initLogging();
        initConfigParameters();
    }


    protected void initLogging() {
        String log4jProperties = System.getenv(LOG4J_PROPERTIES);

        if (log4jProperties == null || log4jProperties.length() == 0) {
            String file = getInitParameter("log4j-properties");

            if (file != null && file.length() > 0) {
                log4jProperties = getServletContext().getRealPath(file);
            }
        }

        LoggingConfigurator.init(log4jProperties);
    }


    protected void initConfigParameters() {
        String url = getInitParameter("server-url");
        logger.debug("Found server url: " + url);

        getServletContext().setAttribute("server-url", url);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
